#include "graphicsitem.h"

#include <QPainter>

GraphicsItem::GraphicsItem(const QSize &size)
    : size(size)
{
}

QRectF GraphicsItem::boundingRect() const
{
    qreal penWidth = 1;
    return QRectF(-(size.width() / 2) - penWidth / 2, -(size.height() / 2) - penWidth / 2,
        size.width() + penWidth, size.height() + penWidth);
}

void GraphicsItem::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    Q_UNUSED(option)
    Q_UNUSED(widget)
    painter->drawRoundedRect(-(size.width() / 2), -(size.height() / 2), size.width(), size.height(), 5, 5);
}
