#include "mainwindow.h"
#include "ui_mainwindow.h"

#if (QT_VERSION >= QT_VERSION_CHECK(5, 0, 0))
#include <QtWidgets>
#else
#include <QtGui>
#endif

#include <QDebug>

#include "graphicsitem.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QGraphicsScene *scene = new QGraphicsScene;
    ui->graphicsView->setScene(scene);

    for (int y = 0; y < 20; ++y) {
        for (int x = 0; x < 20; ++x) {
            GraphicsItem *item = new GraphicsItem(QSize(10, 10));
            item->setPos(x * 10 , y * 10);
            scene->addItem(item);

            item = new GraphicsItem(QSize(50, 50));
            item->setPos(x * 50 , y * 50);
            scene->addItem(item);
        }
    }
}

MainWindow::~MainWindow()
{
    delete ui->graphicsView->scene();
    delete ui;
}

void MainWindow::resizeEvent(QResizeEvent *event)
{
    ui->graphicsView->resize(QSize(event->size().width() - 10, event->size().height() - 10));

    QList<QGraphicsItem*> items(ui->graphicsView->scene()->items());
    if (!items.isEmpty()) {
        QGraphicsItem *item = items.back();
        ui->graphicsView->scene()->removeItem(item);
        delete item;
    }
}
